Project

General

Profile

« Previous | Next » 

Revision 491aa732

Added by Corentin Lauverjat over 1 year ago

Add explanation for mlmpfr and mpfr version pinning

View differences:

Dockerfile.alpine
10 10
    libc-dev \
11 11
    gcc \ 
12 12
    ocaml ocaml-compiler-libs ocaml-ocamldoc opam ocaml-findlib \ 
13
    mpfr-dev=4.0.2-r4
13
# Needed because mlmpfr isn't automatically installed by opam depext on alpine 
14
# Also mlmpfr has a bug and we need to ask for a specific version
15
# else the bindings will not work.
16
    mpfr-dev=4.0.2-r4 
14 17

  
15 18
# Configuration de OPAM
16 19
RUN opam init --auto-setup -y --disable-sandboxing && opam clean
......
23 26

  
24 27
RUN eval $(opam env) && \ 
25 28
    opam update && \
29
    # As explained above, mlmpfr version needs to match the system version of mpfr
30
    # So we pin mlmpfr to the corresponding version
26 31
    opam pin -n mlmpfr 4.0.2+dune && \
27 32
    opam pin -y -n . && \
28 33
    opam install -y depext && \

Also available in: Unified diff